clear
Fs=2500; %采样频率
Fc=1000; %载波频率
T=0.1; %观察区间
Ns=Fs*T; %信号观察总长度
t=0:1/Fs:(Ns-1)/Fs;
A0=3;  %调制偏移电平
x1=2*cos(2*pi*50*t);
x2=cos(2*pi*20*t);
x=x1+x2;%原始调制信号 
  ypsd1=pwelch(x);
  n1=0:(length(ypsd1)-1);
  f1=n1*Fs/2/(length(ypsd1)-1);
  figure(1)
    subplot(3,1,1)
    plot(f1,ypsd1);
    title('调制信号功率谱')
    
    u1=ammod(x,Fc,Fs,0,A0);%已调AM信号
    ypsd2=pwelch(u1);
  n2=0:(length(ypsd2)-1);
  f2=n2*Fs/2/(length(ypsd2)-1);
 
    subplot(3,1,2)
    plot(f2,ypsd2);
    title('AM信号功率谱')
    
    u2=ammod(x,Fc,Fs);%已调dsbAM信号
    ypsd3=pwelch(u2);
  n3=0:(length(ypsd3)-1);
  f3=n3*Fs/2/(length(ypsd3)-1);
 
    subplot(3,1,3)
    plot(f3,ypsd3);
    title('DSB信号功率谱')
    wbzf=sum(ypsd3)/sum(ypsd2)
    
    sum(ypsd2)
   
